pkgname=fnott
pkgver=1.0.0
pkgrel=1
pkgdesc="Lightweight notification daemon for Wayland"
arch=('x86_64')
url=https://codeberg.org/dnkl/fnott
license=('mit')
makedepends=('cmake' 'meson' 'ninja' 'scdoc' 'tllist>=1.0.1')
depends=(
  'wayland-protocols' 'wayland' 'pixman' 'libpng' 'dbus'
  'fcft>=2.0.0')
source=("$pkgname-$pkgver.tar.gz::https://codeberg.org/dnkl/$pkgname/archive/$pkgver.tar.gz")
sha512sums=('2f5b6b314cc6463d97f53540cb7abc677b1173a2b52abb138cfe2a1acc811a55946ff32c63ffc1d9a60d00b3752d84ba9ac915fe98cdfaa805cfb675ad6b7d75')

build() {
    mkdir build
    cd build
    meson --prefix=/usr --buildtype=release --wrap-mode=nofallback -Db_lto=true ../"$pkgname"
    ninja
}

package() {
    cd build
    DESTDIR="$pkgdir/" ninja install
}
